Собственно вопрос, можно ли дополнения от ФФ с стационарного компа подключить к ФФ который на Андройде?

Очень нужно одно приложение


В Опере знаю есть такая возможность, только не вникал как они там подключают

Однако, скорая компьютерная помощь. Два месяца прошло...
Мне, вот, нужны плагины: noscript, update bookmark, Mozilla archive format. Захожу с Андроидного ФФ в поиск дополнений. Шиш с маслом! Однако ФФ с ББ всё это прекрасно находит. Скачиваю эти плагины вручную, пытаюсь открыть в мобильном ФФ. Так он, гад, пишет "установка не удалась". Ну что ж, не хочет по-хорошему, не знаю, получится ли по-плохому? Если вручную закинуть ему эти плагины в папку с профилем. Полная подмена папки с профилем от ФФ с ББ не прокатила - ФФ вылетает, чего я, однако, и ожидал.
Есть ещё рекомендации по обману ФФ, то есть правки конфига дополнения, исправления версии.

Arix, насчет скорой помощи вы правы, до сих пор жду ответа, решения пока не нашел.
Если будет, буду рад выслушать предложение

BuxarNET

Собственно вопрос, можно ли дополнения от ФФ с стационарного компа подключить к ФФ который на Андройде?

Если оно не было адаптировано для мобильной версии автором, то нельзя.

08-01-2014 11:49:53
Arix

Мне, вот, нужны плагины: noscript, update bookmark, Mozilla archive format.

NoScript можно найти здесь. MAF не нашел, но есть UnMHT.

banbot пишет:

NoScript можно найти здесь.

Не ставится. Пишет, что дополнение несовместимо с данной версией Firefox. Хотя на компе - 26.0, на телефоне 26.0.1. Неужели единичка в конце так влияет?
UnMHT уже стоит, но его недостаточно, т.к. нет поддержки формата MAFF.
Помню, читал в журнале "Хакер", как исправить в плагине версию, чтоб обмануть браузер. Уже не помню, где этот журнал... Скачал плагин, распаковал, в файле install.rdf нашел запись
<em:maxVersion>29.0</em:maxVersion>. То есть, можно ставить в ФФ до 29-й версии. Чего же тогда он артачится?

Arix

Не ставится. Пишет, что дополнение несовместимо с данной версией Firefox. Хотя на компе - 26.0, на телефоне 26.0.1. Неужели единичка в конце так влияет?

Giorgio пишет что ещё не починил его для работы в последних версиях

Помню, читал в журнале "Хакер", как исправить в плагине версию, чтоб обмануть браузер. Уже не помню, где этот журнал... Скачал плагин, распаковал, в файле install.rdf нашел запись
<em:maxVersion>29.0</em:maxVersion>. То есть, можно ставить в ФФ до 29-й версии. Чего же тогда он артачится?

Мобильный и десктопный Firefox радикально отличаются при работе с расширениями. Танцы с install.rdf не помогут.

Ой, я не то скачал. Скачал то, что надо, установилось. Вроде, работает, но непонятно, как им пользоваться. Открывается узкое окно посередине страницы, оно некликабельно. Похоже, не починил. Что ж, будем ждать. Потому как, в автомобиле главное - тормоза, на компьютере главное - антивирус и фаервол, а в Мозилле - noScript и AdBlock.
Всё, спасибо.

banbot пишет:

Мобильный и десктопный Firefox радикально отличаются при работе с расширениями.

Очень жалко :(
В Опере читал что можно ставить, а у нас как всегда какие-то замарочки
Логично было бы сделать стандарт одинаковый для всех ОС

Да, логично было бы! Например, в Windows и Linux стандарт один. Я в линуксовой Мозилле указал папку профиля на диске с Windows, и всё работает. Установил дополнение в одной ОС, оно автоматом появилось и в другой. Добавил закладку, запомнил пароль - всё это появляется и там. Желательно только, чтобы версии совпадали.